Bug 672998 - preupgrade allows user to select release that cannot be upgraded to
preupgrade allows user to select release that cannot be upgraded to
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-26 18:32 EST by Charlweed Hymerfan
Modified: 2015-02-17 08:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:35:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlweed Hymerfan 2011-01-26 18:32:34 EST
Description of problem:
If a system is running Fedora 11, preupgrade allows the user to download and boot to upgrad to Fedora 14. This will fail because a system can only be upgraded to the next or the next+1 release.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Run preupgrade on Fedora 11
2. Select Fedora 14
3.
  
Actual results:

Release is downloaded and booted

Expected results:

Error message and failure.


Additional info:
preupgrade also fails to write-over or "undo" a previous run of preupgrade. Re-running preupgrade and selecting "Fedora 13" does not download the fc13 packages.
Comment 1 Robin 2011-02-14 12:17:41 EST
I will verify this as I fought with this on the weekend.  Trying to upgrade a remote machine that is off of the net.

I ran the preupgrade-cli and didn't receive any warning about this issue.

I then tried to upgrade to F13 from F11 and everything seemed to work as expected as I was not watching the machine.  It looked like it was downloading the necessary packages.  Came up for reboot when I next checked, so I rebooted and got an error message stating that it could only upgrade two versions.

Three suggestions.

1.  Limit the version numbers displayed to the limit of preupgrade.

2.  Download the update packages into a version directory so if you want to upgrade to an earlier version after the warning, it won't conflict on a restart.  I changed the cache directory name to get around the problem of not being able to install F13.

3.  Have preupgrade do all the procedures automatically.  Download the F11 to F13 upgrade and then download the F13 to F14 upgrade.
Comment 2 Fedora End Of Life 2013-04-03 13:19:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 11:32:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 08:35:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.